post
https://api.shasta.trongrid.io/wallet/getcontractinfo
Queries a contract's information from the blockchain. The difference from the wallet/getcontract interface is that this interface returns not only the bytecode but also the runtime bytecode of the contract. Compared with bytecode, runtime bytecode does not contain constructor and constructor parameter information.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Returns
| Field | Type | Description |
|---|---|---|
| runtimecode | string | Runtime bytecode of the contract. |
| smart_contract | SmartContract | Smart contract object. See GetContract for fields. |
| contract_state | ContractState | State of the contract. See Dynamic Energy Model for details. |
| contract_state.energy_usage | int64 | Total basic energy usage of the contract in the current maintenance cycle. |
| contract_state.energy_factor | int64 | Energy factor of the contract. |
| contract_state.update_cycle | int64 | Current maintenance cycle number. |